#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Module-Build
Version		:	0.4231
Release		:	14.4.0.0%{?dist}
Summary		:	Build and install Perl modules

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Module::Build

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl

Provides	:	perl(Module::Build) 
#-----------------------------------------------------------------------------
%description
Module::Build is a system for building, testing, and installing
Perl modules. It is meant to be an alternative to ExtUtils::MakeMaker.
Developers may alter the behavior of the module through subclassing.
It also does not require a make on your system - most of the
Module::Build code is pure-perl and written in a very cross-platform way.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_bindir}/config_data
%{_datadir}/perl5/core_perl/Module/Build.pm
%{_datadir}/perl5/core_perl/Module/Build/*.pm
%{_datadir}/perl5/core_perl/Module/Build/*.pod
%{_datadir}/perl5/core_perl/Module/Build/Platform/*.pm
%{_mandir}/man1/config_data.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
